lp:ubuntu/saucy-updates/mod-wsgi

Created by Ubuntu Package Importer on 2014-05-26 and last modified on 2014-05-26
Get this branch:
bzr branch lp:ubuntu/saucy-updates/mod-wsgi
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

26. By Felix Geyer on 2014-05-22

* SECURITY UPDATE: Fix possibility of local privilege escalation when
  using daemon mode. (LP: #1322338)
  - Only systems running kernel versions >= 2.6 and < 3.1 are affected.
  - CVE-2014-0240
  - debian/patches/CVE-2014-0240.patch: backport upstream commit

25. By Felix Geyer on 2013-08-10

* Fix wsgi applications segfaulting when run in daemon mode under Apache 2.4.
  Thanks to Stephan Adig. (Closes: #719304)
  - Add fix_crash_daemon_mode.patch, cherry-picked from upstream.
* Add myself as uploader.

24. By Piotr Ożarowski on 2013-05-30

* Upload to unstable (python3 build dependency removed)
* Remove myself from Uploaders

23. By Dimitri John Ledkov on 2012-11-06

Drop python3.2.

22. By Dimitri John Ledkov on 2012-10-23

Patch configure.ac to build against pythonX.Y-config. This builds
python3.3 module, but default module symlink still points to 3.2.

21. By Clint Byrum on 2012-08-22

* New upstream release
* debian/patches/python3.2-compat.patch: Dropped (obsoleted upstream)

20. By Adam Conrad on 2011-12-02

No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

19. By Piotr Ożarowski on 2011-10-06

[ James Page ]
* Add a patch for Python 3.2 compatibility
  - debian/patches/python-3.2-compat.patch: full patch to support
    python >= 3.2 from Graham Dumpleton.
* Converted to source/format "3.0 (quilt)"

[ Piotr Ożarowski ]
* Add build-arch and build-indep targets in debian/rules
* Bump Standards-Version to 3.9.2 (no changes needed)

18. By Barry Warsaw on 2011-06-03

No change rebuild to drop Python 3.1 support.

17. By James Page on 2011-04-20

* Full python >= 3.2 support (LP: #759943):
  - debian/patches/fix-python-3.2-lp-749720.patch: removed -
    superceded by python-3.2-compat.patch.
  - debian/patches/python-3.2-compat.patch: full patch to support
    python >= 3.2 from Graham Dumpleton.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/mod-wsgi
This branch contains Public information 
Everyone can see this information.

Subscribers